Accounts
List entities on an account
Returns the active entities (customers) on the account, with their addresses.
GET
/
v1
/
accounts
/
{accountId}
/
entities
List entities on an account
curl --request GET \
--url https://api.slate.inc/accounts/v1/accounts/{accountId}/entities \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.slate.inc/accounts/v1/accounts/{accountId}/entities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.slate.inc/accounts/v1/accounts/{accountId}/entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entities": [
{
"entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"matterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "AUTHORIZED_USER",
"name": "<string>",
"dateOfBirth": "2023-12-25",
"phone": "<string>",
"email": "<string>",
"alsoKnown": "<string>",
"externalEntityId": "<string>",
"languagePreference": "<string>",
"ssnLastFour": "<string>",
"officialAddress": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"stateProvCode": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"mailingAddress": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"stateProvCode": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"physicalAddress": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"stateProvCode": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"metadata": {
"region": "west",
"portfolio_tier": "gold"
}
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Owner-scoped bearer token. The owner all requests are scoped to is derived from the token.
Path Parameters
Slate's UUID for the account (returned by the upsert). The canonical account identifier.
Query Parameters
Available options:
createdOn, name, type Sort direction.
Available options:
asc, desc Response
The account's entities.
Show child attributes
Show child attributes
⌘I
List entities on an account
